#ifndef SVG_H_INCLUDED
#define SVG_H_INCLUDED
#include <vector>
#include <string>

void svg_begin(double width, double height);
void svg_end();
void show_histogram_svg(const std::vector<size_t>& bins, const size_t length_dsh, const size_t length_invl);
void svg_text(double left, double baseline, std::string text);
void svg_rect(double x, double y, double width, double height, std::string stroke = "black", std::string fill = "black");

//
void svg_line(double x1, double y1, double x2, double y2, const std::string stroke_dasharray);

#endif // SVG_H_INCLUDED
